Ext.data.JsonP.Ext_data_Request({
  "tagname": "class",
  "name": "Ext.data.Request",
  "doc": "<p>Simple class that represents a Request that will be made by any <a href=\"#/api/Ext.data.proxy.Server\" rel=\"Ext.data.proxy.Server\" class=\"docClass\">Ext.data.proxy.Server</a> subclass.\nAll this class does is standardize the representation of a Request as used by any ServerProxy subclass,\nit does not contain any actual logic or perform the request itself.</p>\n\n",
  "extends": "Object",
  "mixins": [

  ],
  "alternateClassNames": [

  ],
  "xtype": null,
  "author": "Ed Spencer",
  "docauthor": null,
  "singleton": false,
  "private": false,
  "cfg": [
    {
      "tagname": "cfg",
      "name": "action",
      "member": "Ext.data.Request",
      "type": "String",
      "doc": "<p>The name of the action this Request represents. Usually one of 'create', 'read', 'update' or 'destroy'</p>\n",
      "private": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/src/data/Request.js",
      "linenr": 14,
      "html_filename": "Request.html",
      "href": "Request.html#Ext-data-Request-cfg-action"
    },
    {
      "tagname": "cfg",
      "name": "method",
      "member": "Ext.data.Request",
      "type": "String",
      "doc": "<p>The HTTP method to use on this Request (defaults to 'GET'). Should be one of 'GET', 'POST', 'PUT' or 'DELETE'</p>\n",
      "private": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/src/data/Request.js",
      "linenr": 24,
      "html_filename": "Request.html",
      "href": "Request.html#Ext-data-Request-cfg-method"
    },
    {
      "tagname": "cfg",
      "name": "params",
      "member": "Ext.data.Request",
      "type": "Object",
      "doc": "<p>HTTP request params. The Proxy and its Writer have access to and can modify this object.</p>\n",
      "private": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/src/data/Request.js",
      "linenr": 19,
      "html_filename": "Request.html",
      "href": "Request.html#Ext-data-Request-cfg-params"
    },
    {
      "tagname": "cfg",
      "name": "url",
      "member": "Ext.data.Request",
      "type": "String",
      "doc": "<p>The url to access on this Request</p>\n",
      "private": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/src/data/Request.js",
      "linenr": 29,
      "html_filename": "Request.html",
      "href": "Request.html#Ext-data-Request-cfg-url"
    }
  ],
  "method": [
    {
      "tagname": "method",
      "name": "Request",
      "member": "Ext.data.Request",
      "doc": "\n",
      "params": [
        {
          "type": "Object",
          "name": "config",
          "doc": "<p>Optional config object</p>\n",
          "optional": false
        }
      ],
      "return": {
        "type": "void",
        "doc": "\n"
      },
      "private": false,
      "static": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/src/data/Request.js",
      "linenr": 1,
      "html_filename": "Request.html",
      "href": "Request.html#Ext-data-Request-method-constructor",
      "shortDoc": "\n"
    }
  ],
  "property": [

  ],
  "event": [

  ],
  "filename": "/Users/nick/Projects/sencha/SDK/platform/src/data/Request.js",
  "linenr": 1,
  "html_filename": "Request.html",
  "href": "Request.html#Ext-data-Request",
  "cssVar": [

  ],
  "cssMixin": [

  ],
  "component": false,
  "superclasses": [

  ],
  "subclasses": [

  ],
  "mixedInto": [

  ],
  "allMixins": [

  ]
});