Ext.data.JsonP.Ext_data_ResultSet({
  "tagname": "class",
  "name": "Ext.data.ResultSet",
  "doc": "<p>Simple wrapper class that represents a set of records returned by a Proxy.</p>\n\n",
  "extends": "Object",
  "mixins": [

  ],
  "alternateClassNames": [

  ],
  "xtype": null,
  "author": "Ed Spencer",
  "docauthor": null,
  "singleton": false,
  "private": false,
  "cfg": [
    {
      "tagname": "cfg",
      "name": "count",
      "member": "Ext.data.ResultSet",
      "type": "Number",
      "doc": "<p>The number of records in this ResultSet. Note that total may differ from this number</p>\n",
      "private": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/src/data/ResultSet.js",
      "linenr": 19,
      "html_filename": "ResultSet.html",
      "href": "ResultSet.html#Ext-data-ResultSet-cfg-count"
    },
    {
      "tagname": "cfg",
      "name": "loaded",
      "member": "Ext.data.ResultSet",
      "type": "Boolean",
      "doc": "<p>True if the records have already been loaded. This is only meaningful when dealing with\nSQL-backed proxies</p>\n",
      "private": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/src/data/ResultSet.js",
      "linenr": 12,
      "html_filename": "ResultSet.html",
      "href": "ResultSet.html#Ext-data-ResultSet-cfg-loaded"
    },
    {
      "tagname": "cfg",
      "name": "records",
      "member": "Ext.data.ResultSet",
      "type": "Array",
      "doc": "<p>The array of record instances. Required</p>\n",
      "private": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/src/data/ResultSet.js",
      "linenr": 38,
      "html_filename": "ResultSet.html",
      "href": "ResultSet.html#Ext-data-ResultSet-cfg-records"
    },
    {
      "tagname": "cfg",
      "name": "success",
      "member": "Ext.data.ResultSet",
      "type": "Boolean",
      "doc": "<p>True if the ResultSet loaded successfully, false if any errors were encountered</p>\n",
      "private": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/src/data/ResultSet.js",
      "linenr": 32,
      "html_filename": "ResultSet.html",
      "href": "ResultSet.html#Ext-data-ResultSet-cfg-success"
    },
    {
      "tagname": "cfg",
      "name": "total",
      "member": "Ext.data.ResultSet",
      "type": "Number",
      "doc": "<p>The total number of records reported by the data source. This ResultSet may form a subset of\nthose records (see count)</p>\n",
      "private": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/src/data/ResultSet.js",
      "linenr": 25,
      "html_filename": "ResultSet.html",
      "href": "ResultSet.html#Ext-data-ResultSet-cfg-total"
    }
  ],
  "method": [
    {
      "tagname": "method",
      "name": "ResultSet",
      "member": "Ext.data.ResultSet",
      "doc": "<p>Creates the new ResultSet</p>\n",
      "params": [

      ],
      "return": {
        "type": "void",
        "doc": "\n"
      },
      "private": false,
      "static": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/src/data/ResultSet.js",
      "linenr": 1,
      "html_filename": "ResultSet.html",
      "href": "ResultSet.html#Ext-data-ResultSet-method-constructor",
      "shortDoc": "<p>Creates the new ResultSet</p>\n"
    }
  ],
  "property": [
    {
      "tagname": "property",
      "name": "totalRecords",
      "member": "Ext.data.ResultSet",
      "type": "Mixed",
      "doc": "<p>DEPRECATED - will be removed in <a href=\"#/api/Ext\" rel=\"Ext\" class=\"docClass\">Ext</a> JS 5.0. This is just a copy of this.total - use that instead</p>\n",
      "private": false,
      "static": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/src/data/ResultSet.js",
      "linenr": 45,
      "html_filename": "ResultSet.html",
      "href": "ResultSet.html#Ext-data-ResultSet-property-totalRecords"
    }
  ],
  "event": [

  ],
  "filename": "/Users/nick/Projects/sencha/SDK/platform/src/data/ResultSet.js",
  "linenr": 1,
  "html_filename": "ResultSet.html",
  "href": "ResultSet.html#Ext-data-ResultSet",
  "cssVar": [

  ],
  "cssMixin": [

  ],
  "component": false,
  "superclasses": [

  ],
  "subclasses": [

  ],
  "mixedInto": [

  ],
  "allMixins": [

  ]
});