Ext.data.JsonP.Ext_fx_target_Target({
  "tagname": "class",
  "name": "Ext.fx.target.Target",
  "doc": "<p>This class specifies a generic target for an animation. It provides a wrapper around a\nseries of different types of objects to allow for a generic animation API.\nA target can be a single object or a Composite object containing other objects that are\nto be animated. This class and it's subclasses are generally not created directly, the\nunderlying animation will create the appropriate <a href=\"#/api/Ext.fx.target.Target\" rel=\"Ext.fx.target.Target\" class=\"docClass\">Ext.fx.target.Target</a> object by passing\nthe instance to be animated.</p>\n\n<p>The following types of objects can be animated:\n- <a href=\"#/api/Ext.fx.target.Target--Ext.fx.target.Component\" rel=\"Ext.fx.target.Target--Ext.fx.target.Component\" class=\"docClass\">Components</a>\n- <a href=\"#/api/Ext.fx.target.Target--Ext.fx.target.Element\" rel=\"Ext.fx.target.Target--Ext.fx.target.Element\" class=\"docClass\">Elements</a>\n- <a href=\"#/api/Ext.fx.target.Target--Ext.fx.target.Sprite\" rel=\"Ext.fx.target.Target--Ext.fx.target.Sprite\" class=\"docClass\">Sprites</a></p>\n",
  "extends": null,
  "mixins": [

  ],
  "alternateClassNames": [

  ],
  "xtype": null,
  "author": null,
  "docauthor": null,
  "singleton": false,
  "private": false,
  "cfg": [

  ],
  "method": [
    {
      "tagname": "method",
      "name": "Target",
      "member": "Ext.fx.target.Target",
      "doc": "\n",
      "params": [
        {
          "type": "Mixed",
          "name": "target",
          "doc": "<p>The object to be animated</p>\n",
          "optional": false
        }
      ],
      "return": {
        "type": "void",
        "doc": "\n"
      },
      "private": false,
      "static": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/src/fx/target/Target.js",
      "linenr": 1,
      "html_filename": "Target.html",
      "href": "Target.html#Ext-fx-target-Target-method-constructor",
      "shortDoc": "\n"
    }
  ],
  "property": [

  ],
  "event": [

  ],
  "filename": "/Users/nick/Projects/sencha/SDK/platform/src/fx/target/Target.js",
  "linenr": 1,
  "html_filename": "Target.html",
  "href": "Target.html#Ext-fx-target-Target",
  "cssVar": [

  ],
  "cssMixin": [

  ],
  "component": false,
  "superclasses": [

  ],
  "subclasses": [
    "Ext.fx.target.Component",
    "Ext.fx.target.Element",
    "Ext.fx.target.Sprite"
  ],
  "mixedInto": [

  ],
  "allMixins": [

  ]
});