Ext.data.JsonP.Ext_supports({
  "tagname": "class",
  "name": "Ext.supports",
  "doc": "<p>Determines information about features are supported in the current environment</p>\n",
  "extends": null,
  "mixins": [

  ],
  "alternateClassNames": [

  ],
  "xtype": null,
  "author": null,
  "docauthor": null,
  "singleton": true,
  "private": false,
  "cfg": [

  ],
  "method": [

  ],
  "property": [
    {
      "tagname": "property",
      "name": "ArraySort",
      "member": "Ext.supports",
      "type": "Boolean",
      "doc": "<p>True if the Array sort native method isn't bugged.</p>\n",
      "private": false,
      "static": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/core/src/Support.js",
      "linenr": 536,
      "html_filename": "Support.html",
      "href": "Support.html#Ext-supports-property-ArraySort"
    },
    {
      "tagname": "property",
      "name": "AudioTag",
      "member": "Ext.supports",
      "type": "Boolean",
      "doc": "<p>True if the device supports the HTML5 audio tag</p>\n",
      "private": false,
      "static": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/core/src/Support.js",
      "linenr": 373,
      "html_filename": "Support.html",
      "href": "Support.html#Ext-supports-property-AudioTag"
    },
    {
      "tagname": "property",
      "name": "BoundingClientRect",
      "member": "Ext.supports",
      "type": "Boolean",
      "doc": "<p>True if the browser supports the getBoundingClientRect method on elements</p>\n",
      "private": false,
      "static": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/core/src/Support.js",
      "linenr": 511,
      "html_filename": "Support.html",
      "href": "Support.html#Ext-supports-property-BoundingClientRect"
    },
    {
      "tagname": "property",
      "name": "CSS3BorderRadius",
      "member": "Ext.supports",
      "type": "Boolean",
      "doc": "<p>True if the device supports CSS3 border radius</p>\n",
      "private": false,
      "static": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/core/src/Support.js",
      "linenr": 425,
      "html_filename": "Support.html",
      "href": "Support.html#Ext-supports-property-CSS3BorderRadius"
    },
    {
      "tagname": "property",
      "name": "CSS3BoxShadow",
      "member": "Ext.supports",
      "type": "Boolean",
      "doc": "<p>True if document environment supports the CSS3 box-shadow style.</p>\n",
      "private": false,
      "static": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/core/src/Support.js",
      "linenr": 166,
      "html_filename": "Support.html",
      "href": "Support.html#Ext-supports-property-CSS3BoxShadow"
    },
    {
      "tagname": "property",
      "name": "CSS3DTransform",
      "member": "Ext.supports",
      "type": "Boolean",
      "doc": "<p>True if the device supports CSS3DTransform</p>\n",
      "private": false,
      "static": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/core/src/Support.js",
      "linenr": 395,
      "html_filename": "Support.html",
      "href": "Support.html#Ext-supports-property-CSS3DTransform"
    },
    {
      "tagname": "property",
      "name": "CSS3LinearGradient",
      "member": "Ext.supports",
      "type": "Boolean",
      "doc": "<p>True if the device supports CSS3 linear gradients</p>\n",
      "private": false,
      "static": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/core/src/Support.js",
      "linenr": 406,
      "html_filename": "Support.html",
      "href": "Support.html#Ext-supports-property-CSS3LinearGradient"
    },
    {
      "tagname": "property",
      "name": "Canvas",
      "member": "Ext.supports",
      "type": "Boolean",
      "doc": "<p>True if the device supports Canvas</p>\n",
      "private": false,
      "static": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/core/src/Support.js",
      "linenr": 338,
      "html_filename": "Support.html",
      "href": "Support.html#Ext-supports-property-Canvas"
    },
    {
      "tagname": "property",
      "name": "ClassList",
      "member": "Ext.supports",
      "type": "Boolean",
      "doc": "<p>True if document environment supports the HTML5 classList API.</p>\n",
      "private": false,
      "static": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/core/src/Support.js",
      "linenr": 172,
      "html_filename": "Support.html",
      "href": "Support.html#Ext-supports-property-ClassList"
    },
    {
      "tagname": "property",
      "name": "ComputedStyle",
      "member": "Ext.supports",
      "type": "Boolean",
      "doc": "<p>True if the browser supports document.defaultView.getComputedStyle()</p>\n",
      "private": false,
      "static": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/core/src/Support.js",
      "linenr": 315,
      "html_filename": "Support.html",
      "href": "Support.html#Ext-supports-property-ComputedStyle"
    },
    {
      "tagname": "property",
      "name": "CreateContextualFragment",
      "member": "Ext.supports",
      "type": "Boolean",
      "doc": "<p>True if browser support CreateContextualFragment range native methods.</p>\n",
      "private": false,
      "static": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/core/src/Support.js",
      "linenr": 557,
      "html_filename": "Support.html",
      "href": "Support.html#Ext-supports-property-CreateContextualFragment"
    },
    {
      "tagname": "property",
      "name": "DeviceMotion",
      "member": "Ext.supports",
      "type": "Boolean",
      "doc": "<p>True if the device supports device motion (acceleration and rotation rate)</p>\n",
      "private": false,
      "static": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/core/src/Support.js",
      "linenr": 184,
      "html_filename": "Support.html",
      "href": "Support.html#Ext-supports-property-DeviceMotion"
    },
    {
      "tagname": "property",
      "name": "Direct2DBug",
      "member": "Ext.supports",
      "type": "Boolean",
      "doc": "<p>True if when asking for an element's dimension via offsetWidth or offsetHeight,\ngetBoundingClientRect, etc. the browser returns the subpixel width rounded to the nearest pixel.</p>\n",
      "private": false,
      "static": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/core/src/Support.js",
      "linenr": 500,
      "html_filename": "Support.html",
      "href": "Support.html#Ext-supports-property-Direct2DBug",
      "shortDoc": "True if when asking for an element's dimension via offsetWidth or offsetHeight,\ngetBoundingClientRect, etc. the brows..."
    },
    {
      "tagname": "property",
      "name": "DisplayChangeInputSelectionBug",
      "member": "Ext.supports",
      "type": "Object",
      "doc": "<p>True if INPUT elements lose their\nselection when their display style is changed. Essentially, if a text input\nhas focus and its display style is changed, the I-beam disappears.</p>\n\n<p>This bug is encountered due to the work around in place for the <a href=\"#/api/RightMargin\" rel=\"RightMargin\" class=\"docClass\">RightMargin</a>\nbug. This has been observed in Safari 4.0.4 and older, and appears to be fixed\nin Safari 5. It's not clear if Safari 4.1 has the bug, but it has the same WebKit\nversion number as Safari 5 (according to http://unixpapa.com/js/gecko.html).</p>\n",
      "private": false,
      "static": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/core/src/Support.js",
      "linenr": 250,
      "html_filename": "Support.html",
      "href": "Support.html#Ext-supports-property-DisplayChangeInputSelectionBug",
      "shortDoc": "True if INPUT elements lose their\nselection when their display style is changed. Essentially, if a text input\nhas foc..."
    },
    {
      "tagname": "property",
      "name": "DisplayChangeTextAreaSelectionBug",
      "member": "Ext.supports",
      "type": "Object",
      "doc": "<p>True if TEXTAREA elements lose their\nselection when their display style is changed. Essentially, if a text area has\nfocus and its display style is changed, the I-beam disappears.</p>\n\n<p>This bug is encountered due to the work around in place for the <a href=\"#/api/RightMargin\" rel=\"RightMargin\" class=\"docClass\">RightMargin</a>\nbug. This has been observed in Chrome 10 and Safari 5 and older, and appears to\nbe fixed in Chrome 11.</p>\n",
      "private": false,
      "static": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/core/src/Support.js",
      "linenr": 269,
      "html_filename": "Support.html",
      "href": "Support.html#Ext-supports-property-DisplayChangeTextAreaSelectionBug",
      "shortDoc": "True if TEXTAREA elements lose their\nselection when their display style is changed. Essentially, if a text area has\nf..."
    },
    {
      "tagname": "property",
      "name": "Float",
      "member": "Ext.supports",
      "type": "Boolean",
      "doc": "<p>True if the device supports CSS float</p>\n",
      "private": false,
      "static": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/core/src/Support.js",
      "linenr": 362,
      "html_filename": "Support.html",
      "href": "Support.html#Ext-supports-property-Float"
    },
    {
      "tagname": "property",
      "name": "GeoLocation",
      "member": "Ext.supports",
      "type": "Boolean",
      "doc": "<p>True if the device supports GeoLocation</p>\n",
      "private": false,
      "static": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/core/src/Support.js",
      "linenr": 444,
      "html_filename": "Support.html",
      "href": "Support.html#Ext-supports-property-GeoLocation"
    },
    {
      "tagname": "property",
      "name": "History",
      "member": "Ext.supports",
      "type": "Boolean",
      "doc": "<p>True if the device supports HTML5 history</p>\n",
      "private": false,
      "static": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/core/src/Support.js",
      "linenr": 384,
      "html_filename": "Support.html",
      "href": "Support.html#Ext-supports-property-History"
    },
    {
      "tagname": "property",
      "name": "MouseEnterLeave",
      "member": "Ext.supports",
      "type": "Boolean",
      "doc": "<p>True if the browser supports mouseenter and mouseleave events</p>\n",
      "private": false,
      "static": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/core/src/Support.js",
      "linenr": 454,
      "html_filename": "Support.html",
      "href": "Support.html#Ext-supports-property-MouseEnterLeave"
    },
    {
      "tagname": "property",
      "name": "MouseWheel",
      "member": "Ext.supports",
      "type": "Boolean",
      "doc": "<p>True if the browser supports the mousewheel event</p>\n",
      "private": false,
      "static": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/core/src/Support.js",
      "linenr": 464,
      "html_filename": "Support.html",
      "href": "Support.html#Ext-supports-property-MouseWheel"
    },
    {
      "tagname": "property",
      "name": "Opacity",
      "member": "Ext.supports",
      "type": "Boolean",
      "doc": "<p>True if the browser supports normal css opacity</p>\n",
      "private": false,
      "static": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/core/src/Support.js",
      "linenr": 474,
      "html_filename": "Support.html",
      "href": "Support.html#Ext-supports-property-Opacity"
    },
    {
      "tagname": "property",
      "name": "OrientationChange",
      "member": "Ext.supports",
      "type": "Boolean",
      "doc": "<p>True if the device supports orientation change</p>\n",
      "private": false,
      "static": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/core/src/Support.js",
      "linenr": 178,
      "html_filename": "Support.html",
      "href": "Support.html#Ext-supports-property-OrientationChange"
    },
    {
      "tagname": "property",
      "name": "Placeholder",
      "member": "Ext.supports",
      "type": "Boolean",
      "doc": "<p>True if the browser supports the HTML5 placeholder attribute on inputs</p>\n",
      "private": false,
      "static": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/core/src/Support.js",
      "linenr": 489,
      "html_filename": "Support.html",
      "href": "Support.html#Ext-supports-property-Placeholder"
    },
    {
      "tagname": "property",
      "name": "Range",
      "member": "Ext.supports",
      "type": "Boolean",
      "doc": "<p>True if browser support document.createRange native method.</p>\n",
      "private": false,
      "static": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/core/src/Support.js",
      "linenr": 547,
      "html_filename": "Support.html",
      "href": "Support.html#Ext-supports-property-Range"
    },
    {
      "tagname": "property",
      "name": "RightMargin",
      "member": "Ext.supports",
      "type": "Boolean",
      "doc": "<p>True if the device supports right margin.\nSee https://bugs.webkit.org/show_bug.cgi?id=13343 for why this is needed.</p>\n",
      "private": false,
      "static": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/core/src/Support.js",
      "linenr": 237,
      "html_filename": "Support.html",
      "href": "Support.html#Ext-supports-property-RightMargin"
    },
    {
      "tagname": "property",
      "name": "SVG",
      "member": "Ext.supports",
      "type": "Boolean",
      "doc": "<p>True if the device supports SVG</p>\n",
      "private": false,
      "static": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/core/src/Support.js",
      "linenr": 327,
      "html_filename": "Support.html",
      "href": "Support.html#Ext-supports-property-SVG"
    },
    {
      "tagname": "property",
      "name": "Touch",
      "member": "Ext.supports",
      "type": "Boolean",
      "doc": "<p>True if the device supports touch</p>\n",
      "private": false,
      "static": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/core/src/Support.js",
      "linenr": 190,
      "html_filename": "Support.html",
      "href": "Support.html#Ext-supports-property-Touch"
    },
    {
      "tagname": "property",
      "name": "Transitions",
      "member": "Ext.supports",
      "type": "Boolean",
      "doc": "<p>True if the device supports CSS3 Transitions</p>\n",
      "private": false,
      "static": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/core/src/Support.js",
      "linenr": 199,
      "html_filename": "Support.html",
      "href": "Support.html#Ext-supports-property-Transitions"
    },
    {
      "tagname": "property",
      "name": "TransparentColor",
      "member": "Ext.supports",
      "type": "Boolean",
      "doc": "<p>True if the device supports transparent color</p>\n",
      "private": false,
      "static": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/core/src/Support.js",
      "linenr": 303,
      "html_filename": "Support.html",
      "href": "Support.html#Ext-supports-property-TransparentColor"
    },
    {
      "tagname": "property",
      "name": "VML",
      "member": "Ext.supports",
      "type": "Boolean",
      "doc": "<p>True if the device supports VML</p>\n",
      "private": false,
      "static": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/core/src/Support.js",
      "linenr": 349,
      "html_filename": "Support.html",
      "href": "Support.html#Ext-supports-property-VML"
    },
    {
      "tagname": "property",
      "name": "WindowOnError",
      "member": "Ext.supports",
      "type": "Boolean",
      "doc": "<p>True if browser supports window.onerror.</p>\n",
      "private": false,
      "static": false,
      "filename": "/Users/nick/Projects/sencha/SDK/platform/core/src/Support.js",
      "linenr": 570,
      "html_filename": "Support.html",
      "href": "Support.html#Ext-supports-property-WindowOnError"
    }
  ],
  "event": [

  ],
  "filename": "/Users/nick/Projects/sencha/SDK/platform/core/src/Support.js",
  "linenr": 131,
  "html_filename": "Support.html",
  "href": "Support.html#Ext-supports",
  "cssVar": [

  ],
  "cssMixin": [

  ],
  "component": false,
  "superclasses": [

  ],
  "subclasses": [

  ],
  "mixedInto": [

  ],
  "allMixins": [

  ]
});